Loading...
Searching...
No Matches
pappso::OboChooserWidget Class Reference

`#include <obochooserwidget.h>`

Inheritance diagram for pappso::OboChooserWidget:

## Public Member Functions

| OboChooserWidget (QWidget *parent=nullptr)
| ~OboChooserWidget ()
bool | isOboTermSelected () const
| tells if an OBO term has been selected
const OboPsiModTerm & | getOboPsiModTermSelected () const
| get the selected obo term or an exception
void | setMzTarget (double target_mz)
| set mz target to filter among possible modifications
void | setPrecision (PrecisionPtr precision)
| set mz precision to filter among possible modifications

## Private Attributes

Ui::OboChooserWidgetForm * | ui

## Detailed Description

Definition at line 47 of file obochooserwidget.h.

## Constructor & Destructor Documentation

## OboChooserWidget()

OboChooserWidget::OboChooserWidget | ( | QWidget * | parent = nullptr | ) |

explicit

Default constructor

Definition at line 38 of file obochooserwidget.cpp.

: QWidget(parent), ui(new Ui::OboChooserWidgetForm)
{
qDebug();
ui->setupUi(this);
connect(ui->oboListWidget,
&OboListWidget::oboTermChanged,
ui->oboTermForm,
&OboTermForm::displayOboTerm);
}
pappso::OboChooserWidget::ui
Ui::OboChooserWidgetForm * ui
Definition obochooserwidget.h:81
pappso::OboListWidget::oboTermChanged
void oboTermChanged(OboPsiModTerm oboTerm) const
pappso::OboTermForm::displayOboTerm
void displayOboTerm(OboPsiModTerm oboTerm)
Definition obotermform.cpp:58

References pappso::OboTermForm::displayOboTerm(), pappso::OboListWidget::oboTermChanged(), and ui.

## ~OboChooserWidget()

pappso::OboChooserWidget::~OboChooserWidget | ( |  | ) |

Destructor

Definition at line 51 of file obochooserwidget.cpp.

{
delete ui;
}

References ui.

## Member Function Documentation

## getOboPsiModTermSelected()

const pappso::OboPsiModTerm & pappso::OboChooserWidget::getOboPsiModTermSelected | ( |  | ) | const

get the selected obo term or an exception

Definition at line 63 of file obochooserwidget.cpp.

{
if(ui->oboTermForm->isOboTerm())
{
}
else
{
throw pappso::ExceptionNotFound(tr("OBO term not available"));
}
return ui->oboTermForm->getOboPsiModTerm();
}

References ui.

## isOboTermSelected()

bool pappso::OboChooserWidget::isOboTermSelected | ( |  | ) | const

tells if an OBO term has been selected

Definition at line 57 of file obochooserwidget.cpp.

{
return ui->oboTermForm->isOboTerm();
}

References ui.

## setMzTarget()

void pappso::OboChooserWidget::setMzTarget | ( | double | target_mz | ) |

set mz target to filter among possible modifications

Definition at line 76 of file obochooserwidget.cpp.

{
qDebug();
ui->oboListWidget->filterMzPrecision(target_mz, ui->oboListWidget->getPrecisionPtr());
}

References ui.

## setPrecision()

void pappso::OboChooserWidget::setPrecision | ( | pappso::PrecisionPtr | precision | ) |

set mz precision to filter among possible modifications

Definition at line 83 of file obochooserwidget.cpp.

{
ui->oboListWidget->filterMzPrecision(ui->oboListWidget->getMzTarget(), precision);
}

References ui.

## Member Data Documentation

## ui

Ui::OboChooserWidgetForm* pappso::OboChooserWidget::ui

private

Definition at line 81 of file obochooserwidget.h.

Referenced by OboChooserWidget(), ~OboChooserWidget(), getOboPsiModTermSelected(), isOboTermSelected(), setMzTarget(), and setPrecision().

The documentation for this class was generated from the following files:

- pappsomspp/gui/obo/obochooserwidget/obochooserwidget.h
- pappsomspp/gui/obo/obochooserwidget/obochooserwidget.cpp